
From: maks attems <janitor@sternwelten.at>

 # CONFIG_PCI is not set
 CONFIG_EISA=y

drivers/net/3c59x.c: In function `vortex_ioctl':
drivers/net/3c59x.c:2916: warning: dereferencing `void *' pointer
drivers/net/3c59x.c:2916: error: request for member `current_state' in something not a structure or union

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/3c59x.c |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN drivers/net/3c59x.c~compile-fix-3c59x-for-eisa-without-pci drivers/net/3c59x.c
--- 25/drivers/net/3c59x.c~compile-fix-3c59x-for-eisa-without-pci	2004-09-11 16:00:25.054265104 -0700
+++ 25-akpm/drivers/net/3c59x.c	2004-09-11 16:00:25.060264192 -0700
@@ -902,7 +902,9 @@ static void dump_tx_ring(struct net_devi
 static void update_stats(long ioaddr, struct net_device *dev);
 static struct net_device_stats *vortex_get_stats(struct net_device *dev);
 static void set_rx_mode(struct net_device *dev);
+#ifdef CONFIG_PCI
 static int vortex_ioctl(struct net_device *dev, struct ifreq *rq, int cmd);
+#endif
 static void vortex_tx_timeout(struct net_device *dev);
 static void acpi_set_WOL(struct net_device *dev);
 static struct ethtool_ops vortex_ethtool_ops;
@@ -1473,7 +1475,9 @@ static int __devinit vortex_probe1(struc
 
 	dev->stop = vortex_close;
 	dev->get_stats = vortex_get_stats;
+#ifdef CONFIG_PCI
 	dev->do_ioctl = vortex_ioctl;
+#endif
 	dev->ethtool_ops = &vortex_ethtool_ops;
 	dev->set_multicast_list = set_rx_mode;
 	dev->tx_timeout = vortex_tx_timeout;
@@ -2881,6 +2885,7 @@ static struct ethtool_ops vortex_ethtool
 	.get_drvinfo =		vortex_get_drvinfo,
 };
 
+#ifdef CONFIG_PCI
 static int vortex_do_ioctl(struct net_device *dev, struct ifreq *rq, int cmd)
 {
 	struct vortex_private *vp = netdev_priv(dev);
@@ -2938,6 +2943,7 @@ static int vortex_ioctl(struct net_devic
 
 	return err;
 }
+#endif
 
 
 /* Pre-Cyclone chips have no documented multicast filter, so the only
_
